webdevqa.jp.net

エラー:解決後、構成 ':app:_debugAnnotationProcessor'の依存関係を変更できません

Gradleプロジェクトの更新に失敗しました

KenBurnsView Libraryをアプリレベルのbuild.gradleに追加した後。 gradleを同期しようとすると失敗しました。

build.gradle(アプリレベル)

apply plugin: 'com.Android.application'

Android {
compileSdkVersion 25
buildToolsVersion "25.0.0"
defaultConfig {
    applicationId "com.sample.ac"
    minSdkVersion 16
    targetSdkVersion 24
    versionCode 1
    versionName "1.0_dev"
    testInstrumentationRunner "Android.support.test.runner.AndroidJUnitRunner"
    jackOptions {
        enabled true
    }
}
buildTypes {
    release {
        minifyEnabled false
        proguardFiles getDefaultProguardFile('proguard-Android.txt'), 'proguard-rules.pro'
    }
}

repositories {
    jcenter()
}
compileOptions {
    sourceCompatibility JavaVersion.VERSION_1_8
    targetCompatibility JavaVersion.VERSION_1_8
}
}

dependencies {
compile fileTree(include: ['*.jar'], dir: 'libs')
androidTestCompile('com.Android.support.test.espresso:espresso-core:2.2.2', {
    exclude group: 'com.Android.support', module: 'support-annotations'
})
compile 'com.Android.support:appcompat-v7:25.0.1'
compile 'com.Android.support:design:25.0.1'
compile 'com.Android.support:recyclerview-v7:25.0.1'
compile 'com.Android.support:cardview-v7:25.0.1'

//ButterKnife for view injector
compile 'com.jakewharton:butterknife:8.4.0'
annotationProcessor 'com.jakewharton:butterknife-compiler:8.4.0'

// EventBus for passing data between activities and fragments
compile 'org.greenrobot:eventbus:3.0.0'

//Material Loading Circular Progress Bar with white background
compile 'com.lsjwzh:materialloadingprogressbar:0.5.8-RELEASE'

//GSON for parsing JSON into Java Object and vice versa
compile 'com.google.code.gson:gson:2.6.2'

//For Image Loading from network
compile 'com.github.bumptech.glide:glide:3.7.0'

//SLiding up Panel Layout for Music Player
compile 'com.sothree.slidinguppanel:library:3.3.0'

//For Network Calling
compile 'com.mcxiaoke.volley:library:1.0.19'

//ViewPagerIndicator
compile 'com.romandanylyk:pageindicatorview:0.0.7'

//Google Play Services
compile 'com.google.Android.gms:play-services-auth:10.0.0'
compile 'com.google.Android.gms:play-services-plus:10.0.0'
compile 'com.google.Android.gms:play-services-identity:10.0.0'
compile 'com.google.Android.gms:play-services-base:10.0.0'
compile 'com.google.Android.gms:play-services-location:10.0.0'
compile 'com.google.Android.gms:play-services-maps:10.0.0'
compile 'com.google.Android.gms:play-services-gcm:10.0.0'

//Ken Burns Effect for Image Background
compile 'com.flaviofaria:kenburnsview:1.0.7'

//Material Search View
// compile 'com.miguelcatalan:materialsearchview:1.4.0'
compile project(':searchlibrary')

testCompile 'junit:junit:4.12'

}
apply plugin: 'com.google.gms.google-services'

build.gradle(プロジェクトレベル)

// Top-level build file where you can add configuration options common to all sub-projects/modules.

buildscript {
repositories {
    jcenter()
    mavenCentral()
}
dependencies {
    classpath 'com.Android.tools.build:gradle:2.2.2'
    classpath 'com.google.gms:google-services:3.0.0'

    // NOTE: Do not place your application dependencies here; they belong
    // in the individual module build.gradle files
}
}

allprojects {
repositories {
    jcenter()
    mavenCentral()
}
}

task clean(type: Delete) {
delete rootProject.buildDir
}
14
Aman Jain

Android=トレーニングクラスの "com.Android.support.constraint:constraint-layout:1.0.0-beta4"に依存関係を追加しようとしたときに取得しました。

@Scottが疑ったように、私はなんとかそれを乗り越え、ジャックを巻き込みました。

過ぎ去った:

  1. 追加された依存関係をコメントアウトし、jackOptionsはtrueブロックを有効にし、compileOptionsブロックは1.8と互換性がありました。
  2. Gradleの同期/クリーン/再構築(どちらであっても、私はまだ学んでいます)
  3. 追加された依存関係のコメントを解除し、グラドルを再度同期/再構築します
  4. JackOptionsブロックとcompileOptionsブロックのコメントを解除し、gradleを再度同期/再構築します

その時点で、うまくいきました。

44
kdawg

アプリbuild.gradleまたはプロジェクトbuild.moduleに追加します。

repositories {
    maven {
        url 'https://maven.google.com'
    }
}

「constraint-layout」依存関係を追加するとこの問題が発生し、公式マニュアルで答えが見つかりました: https://developer.Android.com/training/constraint-layout/index.html と思うそれはあなたを助けます!

何時間も試してみた後、これはうまくいきました->アップグレードcom.google.gms:google-services最新バージョンに。ケース:追加

dataBinding {
   enabled = true
}

解決策:プロジェクトでgradle classpath変更

'com.google.gms:google-services:3.3.1'

'com.google.gms:google-services:4.0.1'(最新バージョン)

2
Sandeep PC

Gradleとgoogle-play-services libをアップグレードしましたが、アプリモジュールのapply plugin: 'com.google.gms.google-services'の最後でbuild.gradleを削除する必要があるようだとは知りませんでした。それを削除することでこれが解決しました。

ドキュメントは少し誤解を招くものでした。 apply plugin: 'com.google.gms.google-services'を削除することで実際にこの問題は解決しましたが、Firebaseが実際に機能するにはこの行が必要です。さらにいろいろと遊んだ後、dataBinding{enabled true}を削除するとエラーがなくなることに気付きました。しかし、これも解決策ではありません。最終的に私はcom.Android.tools.build:gradle:3.0.0にダウングレードしなければなりませんでした-これも明らかに解決策ではありません。 InstantRun、ただし、少なくともビルドします。この問題全体は、Android Studio 3.1.2への更新後に導入されたため、再度ダウングレードすると解決すると思われます。

1
Till

私もこの質問に出くわしました。リポジトリにmavenを追加しました{...}と、モジュールのbuild.gradleの依存関係に依存関係を追加しました{...}。

Android Studioはmavenリポジトリから依存関係をロードできないため、代わりにコンパイルして、jarをmoduleにコピーし、syncを実行すると、エラーが消えます。

要約すると、「C:\ Users\wjj.gradle\caches\modules-2\files-2.1」で依存関係がロードされているかどうかを確認できます。

私はそれがあなたを助けることを願っています!

0
hawkinswang